<div class="pull-right">
  <small>
      Your cart:
      <span *ngIf="cart.itemCount > 0">
        {{ cart.itemCount }} item(s)
        {{ cart.cartPrice | currency:"USD" }}
      </span>
      <span *ngIf="cart.lines.length == 0">
        (empty)
      </span>
  </small>
  <button [disabled]="cart.lines.length === 0" class="btn btn-sm bg-inverse" routerLink="/cart">
    <i class="fa fa-shopping-cart"></i>
  </button>
</div>